List orders

Get a list of orders for the organization

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Query parameters

limitintegerOptional1-100Defaults to 10
offsetintegerOptional
customerIdstringOptional>=1 character
Filter by customer ID.
externalCustomerIdstringOptional>=1 character
Filter by customer external ID.
externalIdstringOptional>=1 character

Filter by the order’s external ID (exact match).

creationStateenumOptional

Filter by creation state: draft or active.

Allowed values:
statusenumOptional

Filter by derived order status. draft: not yet activated. paused: billing is paused. ended: end date is in the past. active: activated, not paused, and not ended.

Allowed values:
startDateFromstringOptional

Only orders whose start date is on or after this date. Accepts an ISO 8601 date or date-time. Date-only values (e.g. 2026-06-30) are treated as UTC; date-times without an explicit timezone offset are ambiguous, so include one (e.g. 2026-06-30T00:00:00-05:00) when precision matters.

startDateTostringOptional

Only orders whose start date is on or before this date. Accepts an ISO 8601 date or date-time. Date-only values (e.g. 2026-06-30) are treated as UTC; date-times without an explicit timezone offset are ambiguous, so include one (e.g. 2026-06-30T00:00:00-05:00) when precision matters.

endDateFromstringOptional

Only orders whose end date is on or after this date. Orders without an end date are not matched. Accepts an ISO 8601 date or date-time. Date-only values (e.g. 2026-06-30) are treated as UTC; date-times without an explicit timezone offset are ambiguous, so include one (e.g. 2026-06-30T00:00:00-05:00) when precision matters.

endDateTostringOptional

Only orders whose end date is on or before this date. Orders without an end date are not matched. Accepts an ISO 8601 date or date-time. Date-only values (e.g. 2026-06-30) are treated as UTC; date-times without an explicit timezone offset are ambiguous, so include one (e.g. 2026-06-30T00:00:00-05:00) when precision matters.

Response

200
datalist of objects
paginationobject

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error